Package org.springframework.security.core

# Interface CredentialsContainer

All Known Implementing Classes:
  `AbstractAuthenticationToken`, `AnonymousAuthenticationToken`, `JaasAuthenticationToken`, `OneTimeTokenAuthenticationToken`, `RememberMeAuthenticationToken`, `RunAsUserToken`, `TestingAuthenticationToken`, `User`, `UsernamePasswordAuthenticationToken`

public interface CredentialsContainer
Indicates that the implementing object contains sensitive data, which can be erased using the `eraseCredentials` method. Implementations are expected to invoke the method on any internal objects which may also implement this interface.

For internal framework use only. Users who are writing their own `AuthenticationProvider` implementations should create and return an appropriate `Authentication` object there, minus any sensitive data, rather than using this interface.

Since:
  3.0.3

## Method Summary

Modifier and Type
Method
Description
`void`
`eraseCredentials()`

## Method Details

### eraseCredentials

void eraseCredentials()